This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1276306 - repeated usb disconnects with android phones [NEEDINFO]
repeated usb disconnects with android phones
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 08:07 EDT by Nicolas Laplante
Modified: 2016-10-26 12:57 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:57:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (nicolas.laplante)


Attachments (Terms of Use)
dmesg output (15.80 KB, text/plain)
2015-10-29 08:07 EDT, Nicolas Laplante
no flags Details
lspci output (34.80 KB, text/plain)
2015-10-29 08:07 EDT, Nicolas Laplante
no flags Details
lsusb -t output (1.03 KB, text/plain)
2015-10-29 08:08 EDT, Nicolas Laplante
no flags Details
lsusb -v output (44.21 KB, text/plain)
2015-10-29 08:08 EDT, Nicolas Laplante
no flags Details

  None (edit)
Description Nicolas Laplante 2015-10-29 08:07:10 EDT
Created attachment 1087458 [details]
dmesg output

Description of problem:
Right after connecting android phone via usb, I see many USB disconnect in kernel
logs. I cannot access the phone's storage, nor can I use adb / fastboot with it.

I tried this with all usb ports and many cables.

The phones are OK, they can connect just fine on my Windows 10 machine.


Version-Release number of selected component (if applicable):
4.2.3-300.fc23.x86_64 

How reproducible:

Always


Steps to Reproduce:
1. Connect phone to laptop via usb cable
2. Try to use adb / fastboot / mount mtp volume

Actual results:
Get disconnected. Logs are full of USB disconnect messages.


Expected results:
I should be able to use adb / fastboot / mount mtp volume without interruption.

Additional info:

See attachments for PCI / USB / dmesg info.
Comment 1 Nicolas Laplante 2015-10-29 08:07 EDT
Created attachment 1087459 [details]
lspci output
Comment 2 Nicolas Laplante 2015-10-29 08:08 EDT
Created attachment 1087460 [details]
lsusb -t output
Comment 3 Nicolas Laplante 2015-10-29 08:08 EDT
Created attachment 1087461 [details]
lsusb -v output
Comment 4 Nicolas Laplante 2015-10-29 08:10:39 EDT
I tried with an LG G3 D852 and a LG Nexus 4 phone.
Comment 5 mediaklan 2015-12-30 04:17:46 EST
Same "repeated usb connect/disconnect" with a Xiaomi Mi2S, but I can access the phone storage and use adb/fastboot. In fact, the "repeated usb disconnect" stops as soon as I access the phone internal storage. 
During the "repeated usb connect/disconnect" event, phone icon on the desktop (xfce) shows up and disapears accordingly. I have to fastly click for it once it shows up, and as soon as I am in the internal storage, the "repeated usb connect/disconnect" stops, which is amazingly bizarre.
Note : the "repeated usb connect/disconnect" happens during Fedora boot process, after grub.
Comment 6 Laura Abbott 2016-09-23 15:49:19 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 7 Laura Abbott 2016-10-26 12:57:06 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.